org.eclipse.microprofile.reactive.messaging.tck

## Class StringSource

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.StringSource

    @Dependent
    public class StringSource
    extends Object

### Field Summary

Fields
`static List<String>` `VALUES`

### Constructor Summary

Constructors
Constructor and Description
`StringSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.reactivestreams.Publisher<String>` `strings()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VALUES

    public static final List<String> VALUES

### Constructor Detail

#### StringSource

    public StringSource()

### Method Detail

#### strings

    public org.reactivestreams.Publisher<String> strings()